Get content

Retrieve the parsed contents of a vector store file.

Request

GET

https://ai.api.cloud.yandex.net/v1/vector_stores/{vector_store_id}/files/{file_id}/content
        

Path parameters

Name

Description

file_id

Type: string

The ID of the file within the vector store.

Example: ``

vector_store_id

Type: string

The ID of the vector store.

Example: ``

Responses

200 OK

OK

Body

application/json
{
          "object": "vector_store.file_content.page",
          "data": [
            {
              "type": "example",
              "text": "example"
            }
          ],
          "has_more": true,
          "next_page": "example"
        }
        

Name

Description

data

Type: object[]

text

Type: string

The text content

Example: example

type

Type: string

The content type (currently only "text")

Example: example

Parsed content of the file.

Example
[
          {
            "type": "example",
            "text": "example"
          }
        ]
        

has_more

Type: boolean

Indicates if there are more content pages to fetch.

next_page

Any of 2 types
  • Type: string

    The token for the next page, if any.

    Example: example

  • Type: unknown

    Example: null

Example: example

object

Type: string

The object type, which is always vector_store.file_content.page

Const: vector_store.file_content.page

Example: example

Предыдущая
Следующая